package com.xjrsoft.module.classtime.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
* @title: 节假日调课设置表单出参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class ClassTimeCalendarVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 补班日期
    */
    @ApiModelProperty("补班日期")
    private LocalDate supplementDate;
    /**
    * 补课日期
    */
    @ApiModelProperty("补课日期")
    private LocalDate replaceDate;

    @ApiModelProperty("状态(0:生效 1:锁定 2:作废)")
    private Integer status;

}
