package com.xjrsoft.module.classtime.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;



/**
* @title: 节假日调课设置
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class AddClassTimeCalendarDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 补班日期
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("补班日期")
    private LocalDate supplementDate;
    /**
    * 补课日期
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("补课日期")
    private LocalDate replaceDate;

}
