package com.xjrsoft.module.classtime.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 课时统计-设置
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class AddClassTimeStatisticsSetDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 权重内容
    */
    @ApiModelProperty("权重内容")
    private String jsonContent;
    /**
    * 类别(1:权重 2:费用设置)
    */
    @ApiModelProperty("类别(1:权重 2:费用设置)")
    private Integer category;

}
