package com.xjrsoft.module.classtime.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

/**
* @title: 节假日调课设置分页列表出参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class ClassTimeCalendarPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 补班日期
    */
    @ApiModelProperty("补班日期")
    private LocalDate supplementDate;
    /**
    * 补课日期
    */
    @ApiModelProperty("补课日期")
    private LocalDate replaceDate;

    @ApiModelProperty("状态(0:生效 1:锁定 2:作废)")
    private Integer status;

}
