package com.xjrsoft.module.classtime.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 课时统计分页列表出参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class ClassTimeStatisticsPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 统计年份
    */
    @ApiModelProperty("统计年份")
    private Integer year;
    /**
    * 统计月份
    */
    @ApiModelProperty("统计月份")
    private Integer month;
    /**
    * 开始日期
    */
    @ApiModelProperty("开始日期")
    private Date startDate;
    /**
    * 结束日期
    */
    @ApiModelProperty("结束日期")
    private Date endDate;
    /**
    * 总课时
    */
    @ApiModelProperty("总课时")
    private Double allClassTime;
    /**
    * 总金额
    */
    @ApiModelProperty("总金额")
    private Double totalAmount;
    /**
    * 总课时费用
    */
    @ApiModelProperty("总课时费用")
    private Double classTimeAmount;
    /**
    * 总外聘教师超课时费
    */
    @ApiModelProperty("总外聘教师超课时费")
    private Double beyondClassTimeAmount;
    /**
    * 状态(0:已解锁 1：已锁定)
    */
    @ApiModelProperty("状态(0:已解锁 1：已锁定)")
    private Integer status;

}
