package com.xjrsoft.module.classtime.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 课时统计-教师详情表单出参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class ClassTimeStatisticsRecordExcelVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 课时统计(class_time_statistics)
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 教师id(xjr_user)
    */
    @ApiModelProperty("工号")
    private String userName;
    /**
    * 聘用类型
    */
    @ApiModelProperty("聘用类型")
    private String employTypeCn;
    /**
    * 总课时
    */
    @ApiModelProperty("总课时")
    private Double allClassTime;
    /**
    * 总金额
    */
    @ApiModelProperty("总金额")
    private Double totalAmount;
    /**
    * 课时费用
    */
    @ApiModelProperty("课时费用")
    private Double classTimeAmount;
    /**
    * 外聘教师超课时费
    */
    @ApiModelProperty("外聘教师超课时费")
    private Double beyondClassTimeAmount;
    /**
    * 每周数据
    */
    @ApiModelProperty("每周数据")
    private String weekData;
    /**
    * 教研会
    */
    @ApiModelProperty("教研会")
    private Double classTime1;
    /**
    * 督导听课
    */
    @ApiModelProperty("督导听课")
    private Double classTime2;
    /**
    * 临近三年退休政策
    */
    @ApiModelProperty("临近三年退休政策")
    private Double classTime3;
    /**
    * 出题
    */
    @ApiModelProperty("出题")
    private Double classTime4;
    /**
    * 阅卷
    */
    @ApiModelProperty("阅卷")
    private Double classTime5;
    /**
    * 周末培优
    */
    @ApiModelProperty("周末培优")
    private Double classTime6;
    /**
    * 早自习
    */
    @ApiModelProperty("早自习")
    private Double classTime7;
    /**
    * 正课(包含调顶课时)
    */
    @ApiModelProperty("正课(包含调顶课时)")
    private Double classTime8;
    /**
    * 晚辅(包含调顶课时)
    */
    @ApiModelProperty("晚辅(包含调顶课时)")
    private Double classTime9;
    /**
    * 顶课
    */
    @ApiModelProperty("顶课")
    private Double classTime10;
    /**
    * 调课
    */
    @ApiModelProperty("调课")
    private Double classTime11;

}
