package com.xjrsoft.module.classtime.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
* @title: 课时删除表单出参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class WeekTimeRangeVo {

    @ApiModelProperty("第几周")
    private Integer weeks;

    @ApiModelProperty("周一日期")
    private LocalDate mondayDate;


    @ApiModelProperty("周日日期")
    private LocalDate sundayDate;


    @ApiModelProperty("正课课时")
    private Double zkTimes;

    @ApiModelProperty("顶课课时")
    private Double dkTimes;

    @ApiModelProperty("调课课时")
    private Double tkTimes;

    @ApiModelProperty("晚自习课时")
    private Double wzxTimes;

}
